Ubuntu 6.06 LTS "Dapper Drake" Backports

Firefox 2.0

Reported by Christoph Langner on 2006-10-25
16
Affects Status Importance Assigned to Milestone
Dapper Backports
Undecided
Unassigned
Baltix
Undecided
Unassigned
firefox (Ubuntu)
Low
Unassigned

Bug Description

I guess a huge wish of the whole community will be Firefox 2.0 inside the dapper backports. Since it is released, we could add it to the backports. Thanks, Christoph.

CVE References

Travis Watkins (amaranth) wrote :

You'd have to backport monodevelop, yelp, liferea, galeon, epiphany, and openoffice.org(?). Firefox is too big and interconnected with many other things.

Changed in dapper-backports:
status: Unconfirmed → Rejected
John Dong (jdong) wrote :

Agreed with Travis Watkins... There is no trivial way of backporting Firefox 2.0 without affecting all the programs that use the Gecko rendering engine, not to mention not all users would welcome FF 2.0 at this point due to extension compatibility.

Also, Firefox's official binaries are quite simple to unpack into a home directory and create a launcher.... It doesn't take much effort at all to set up your own Firefox 2.0.

Christoph Langner (chrissss) wrote :

I know that it is simple to run FF 2.0 on a Dapper system. But it's a community thing. I'm member of the admin team of the german ubuntuusers.de forums and a couple of days ago, when FF 2.0 was released, every second topic was about "why doesn't ubuntu update my firefox, and how can I install it".

And people got really angry about the fact, that FF 2.0 won't get shipped via the standard update repositories. People think that they always get the latest and greatest versions via the repositories. I know they are wrong. Since the don't understand the way things are. But it's hard to explain over and over again, why FF 2.0 is not and will never be inside the Dapper repos. Especially since Dapper will be supported over a long period of time.

And since FF 1.5 is inside the breezy-backports i thought that it must be possible to ship FF 2.0 within the dapper-backports. This would solve a lot of community related problems.

As a part of the Ubuntuforums.org staff, I fully understand the user demand
for Firefox 2 in Ubuntu repositories, but as I've said before, it's not
technically feasible. Remind users that for Linux, Firefox is much more than
just a browser... it is also an HTML rendering engine used by other
programs. If Firefox is upgraded to a new version, everything depending on
Firefox to render must also be rebuilt. With any version-bump rebuild, there
is a possibility that it will no longer compile with the new firefox. A
quick look at "apt-cache rdepends firefox" shows 189 packages that need to
be looked at. This does not count all of the packages that depend on
libnspr/libnss3, such as gaim-encryption, etc.

Firefox 1.5 inside Breezy Backports was a big mistake on my part. At the
time I did not fully understand the ramifications of backporting Firefox, so
I went ahead and did it. It was a nightmare chasing after the reverse
dependencies and for about a month, reports of Gecko-dependent packages
crashing came rolling in. To make matters worse, when 1.5.0.x security
updates started coming in, they could not make it to Backports in a timely
manner because they either refuse to build or were not packaged in Dapper in
a timely manner.

Overall, I'm not going to make a Firefox backport until Gecko-needing apps
start using the XulRunner interface so Firefox can be freed of its system
duties and once again be just a web browser.

John Dong wrote:
>Firefox's official binaries are quite simple to unpack into a home
> directory and create a launcher.... It doesn't take much effort at
> all to set up your own Firefox 2.0.

John Dong wrote:
> it's not technically feasible

Does anyone besides me find the above two statements contradictory?

I'm just a user, a sophisticated user, but a newbie to Linux. I find the idea that Firefox 2.0 will not soon be available in Dapper unfathomable. Don't feed me a lot of technical rationalizations. John said it is easy to do, so do it. Installing it on my Win2k box was no problem and that's 6 years old. Since Dapper is in LTS, do you honestly expect me to be running Firefox 1.5 three years from now? Get real.

I tried updating to Edgy. Since I'm using a Matrox G550 which Edgy doesn't not support, that was a total disaster. (I really appreciate you guys releasing with a known bug of that severity.) I had to rebuild the entire system from scratch. I came very close to reinstalling my licensed Win2k. I assumed that Firefox 2.0 would soon be available on Dapper. Based on the above I am starting to rethink my decision to switch to Linux.

Yes I can figure out how to install Firefox 2.0 myself, but I've got better things to waste my time on. And if this is going to be the policy about upgrading applications, then it won't be just Firefox 2.0 I have to install. It will be Firefox 2.01 and every other revision and every revision of every other program I depend on that you decide not to support. Not an interesting proposition.

Yes, I'm a newb and I'm sure you can baffle me with technical mumbo-jumbo about why you can't do it. As a professional programmer, I occasionally do that to customers myself, but usually I admit that the customer just wants to use my product and it is my job to make it possible for him to do so. If it "doesn't take all that much effort" for me to do it, then you guys can do it if you so choose.

I like using Ubuntu. It's a real OS instead of whatever Win2k is. I'd like to continue to use it, but I'm having serious second thoughts. My experience with software upgrades and installs has been either invisible--most of the time--or a total f'ing disaster--in far too many cases. If you can't win over users like me, I've used Unix daily for 25 years, you are never going to win over Ma and Pa.

On 11/8/06, dsurber <email address hidden> wrote:
>
> John Dong wrote:
> >Firefox's official binaries are quite simple to unpack into a home
> > directory and create a launcher.... It doesn't take much effort at
> > all to set up your own Firefox 2.0.
>
> John Dong wrote:
> > it's not technically feasible
>
> Does anyone besides me find the above two statements contradictory?
>
> I'm just a user, a sophisticated user, but a newbie to Linux. I find the
> idea that Firefox 2.0 will not soon be available in Dapper unfathomable.
> Don't feed me a lot of technical rationalizations. John said it is easy
> to do, so do it. Installing it on my Win2k box was no problem and that's
> 6 years old. Since Dapper is in LTS, do you honestly expect me to be
> running Firefox 1.5 three years from now? Get real.

No, they don't contradict. I am saying that it's simple to install two
versions of Firefox side-by-side using the method I outlined, but it is not
simple at all to replace the system's version of Firefox with 2.0 instead of
1.5 for the reasons I outlined.

With that said, nothing _prevents_ a separate "firefox2" package from being
created that installs a "firefox2" program so that it doesn't fight with the
system's firefox 1.5, but that's not in the scope or authority of the
Backports project.

This will all be smoother in a future version of Ubuntu, when the firefox
browser doesn't provide HTML rendering services to other apps, but a
separate dedicated package will.

dsurber (dnsurber) wrote :

So can this bug be reassigned to what ever project would have the scope and authority to create a firefox2 program that doesn't fight with the system's Firefox 1.5? I punt bugs to other groups all the time.

John Dong (jdong) wrote :

Punting bug back to Ubuntu developers due to insistence of users... Please give an official statement regarding Firefox 2.0 in Dapper

Thanks.

Douglas

On Wed, 2006-11-08 at 06:06 +0000, John Dong wrote:
> Punting bug back to Ubuntu developers due to insistence of users...
> Please give an official statement regarding Firefox 2.0 in Dapper
>
> ** Also affects: firefox (Ubuntu)
> Importance: Undecided
> Status: Unconfirmed
>

Martin Meredith (mez) wrote :

Hi there Douglas.

As John's stated, it's not possible to backport firefox without backporting a lot of different applications with it.

These applications depend on having certain versions of system libraries in certain places.

The way backports works is to update packages and replace them, not to have packages that work along side them.

Because of this it is impossible to backport firefox without backporting a massive chain of packages (188 packages to be precise)

I do not believe you will find any member of the backports team who is willing to do that.

As stated above, it is easy to run Firefox 2 alongside the package in ubuntu, and this does not affect your system.

However, there is always the chance that when 2.0 is known to fix security issues in 1.5, 2.0 will be uploaded to -security

Bruce Cowan (bruce89) wrote :

May I remind you of the Code of Conduct - http://www.ubuntu.com/community/conduct, specifically the "Be respectful" part.

Arguements such as this should be kept to the forums, not bug reports.

Nothing is forcing you to use Ubuntu, if you don't like the fact that LTS doesn't mean new software, then don't use it.

Of course if you really wanted this, you could build firefox 2.0 yourself with a different package name (firefox2). The only person who has the obigation to fix a "bug" is yourself - https://bugzilla.mozilla.org/page.cgi?id=etiquette.html

Following on from what Martin said, I notice that Breezy now has the 1.5 branch of Firefox, but that was for security reasons.

To be honest, Firefox 2.0 isn't much upon 1.5 anyway.

dsurber (dnsurber) wrote :

I apologize if anything I wrote was disrespectful. The bug was closed
and I was trying to argue forcefully that it be reopened. In the company
where I work discussions about whether a bug should be fixed or not are
appropriately recorded in the bug db. I was not aware that was not
normal practice for Ubuntu. I will not do so again.

Douglas

On Wed, 2006-11-08 at 22:29 +0000, Bruce Cowan wrote:
> May I remind you of the Code of Conduct -
> http://www.ubuntu.com/community/conduct, specifically the "Be
> respectful" part.
>
> Arguements such as this should be kept to the forums, not bug reports.
>
> Nothing is forcing you to use Ubuntu, if you don't like the fact that
> LTS doesn't mean new software, then don't use it.
>
> Of course if you really wanted this, you could build firefox 2.0
> yourself with a different package name (firefox2). The only person who
> has the obigation to fix a "bug" is yourself -
> https://bugzilla.mozilla.org/page.cgi?id=etiquette.html
>
> Following on from what Martin said, I notice that Breezy now has the 1.5
> branch of Firefox, but that was for security reasons.
>
> To be honest, Firefox 2.0 isn't much upon 1.5 anyway.
>

David Farning (dfarning) on 2007-01-31
Changed in firefox:
assignee: nobody → mozillateam
importance: Undecided → Low
Changed in firefox:
assignee: mozillateam → nobody
status: Unconfirmed → Rejected
Christoph Langner (chrissss) wrote :

I hope you don't mind if i dig this topic up. According to

http://www.mozilla.com/en-US/firefox/all.html

FF 1.5 will be supported until April 24, 2007 with security and stability updates. They recommend strongly to upgrade to Firefox 2.

I don't want to discuss the topic if and why and how we could backport FF2 to dapper. I'm just looking for infos.

 * Are there any plans to bring FF 2.0 to the dapper-backports?
 * Will you backport important Firefox Updates to FF 1.5 if possible?
 * Or is this a dead-end street for Firefox in Dapper?

Thanks
Christoph

Alexander Sack (asac) wrote :

On Thu, Apr 19, 2007 at 01:18:23PM -0000, Christoph Langner wrote:
> * Are there any plans to bring FF 2.0 to the dapper-backports?
> * Will you backport important Firefox Updates to FF 1.5 if possible?
> * Or is this a dead-end street for Firefox in Dapper?
>

Read: https://wiki.ubuntu.com/DapperFirefoxSupport

 - Alexander

Kilz (kilz) wrote :

IMHO relying on other distributions to help keep the code base of Firefox 1.5 up to date is a prescription for disaster. When the failure happens, and it will happen (2 years is to long a time) it wont be the other distro's that will look bad, but Ubuntu. It may appear to some people that Ubuntu doesnt want to keep its promises unless it is easy to do so.

gabriel (gabriel-castro) on 2007-04-26
Changed in dapper-backports:
status: Rejected → Needs Info
Kilz (kilz) wrote :

I have recently came across a free and open source project called Swiftweasel http://sourceforge.net/projects/swiftweasel . It is an optimized build of Firefox with free to use branding. It has builds of its 2.0.0.3 version available as deb files for ADM64 and i386. They install and work in Dapper.

Launchpad Janitor (janitor) wrote :

[Expired for Dapper Backports because there has been no activity for 60 days.]

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions